Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364118 - [abrt] [faf] sssd: unknown function(): /usr/libexec/sssd/sssd_nss killed by 11
Summary: [abrt] [faf] sssd: unknown function(): /usr/libexec/sssd/sssd_nss killed by 11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Steeve Goveas
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-04 13:59 UTC by Steeve Goveas
Modified: 2016-11-04 07:20 UTC (History)
6 users (show)

Fixed In Version: sssd-1.14.0-15.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 07:20:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2476 normal SHIPPED_LIVE sssd bug fix and enhancement update 2016-11-03 14:08:11 UTC

Description Steeve Goveas 2016-08-04 13:59:54 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/e5b0d82fdbe58523c9443e328b7e037a93018cb9/


Test in which crash was found
07:36:39 [10.8.177.188        ] ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
07:36:39 [10.8.177.188        ] :: [   LOG    ] :: bug_automation_010: BZ 1264098 cleanup_groups should sanitize dn of groups
07:36:39 [10.8.177.188        ] ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
07:36:39 [10.8.177.188        ] :: [  BEGIN   ] :: Running 'getent passwd tuser\(07\)-5445@sssdad.com'
07:36:39 [10.8.177.188        ] tuser(07)-5445@sssdad.com:*:1239105679:1239000513:tuser(07)-5445:/home/tuser(07)-5445:/bin/bash
07:36:39 [10.8.177.188        ] :: [   PASS   ] :: Command 'getent passwd tuser\(07\)-5445@sssdad.com' (Expected 0, got 0)
07:36:39 [10.8.177.188        ] :: [  BEGIN   ] :: Running 'getent group testgrp\(07\)-5445@sssdad.com'
07:36:40 [10.8.177.188        ] :: [   FAIL   ] :: Command 'getent group testgrp\(07\)-5445@sssdad.com' (Expected 0, got 2)
07:37:00 [10.8.177.188        ] :: [   PASS   ] :: File '/var/log/sssd/sssd_sssdad.com.log' should not contain 'Task [Cleanup of sssdad.com]: failed with [5]: Input/output error' 
07:37:00 [10.8.177.188        ] ** bug-automation-010-BZ-1264098-cleanup-groups-should-sanitize-dn-of-groups FAIL Score:/var/tmp/beakerlib-2/journal.txt
07:37:00 [10.8.177.188        ] use_pty:FALSE /usr/share/restraint/plugins/run_task_plugins /usr/share/restraint/plugins/run_plugins
07:37:00 [10.8.177.188        ] Uploading dmesg.log 
07:37:00 [10.8.177.188        ] .done

Comment 2 Jakub Hrozek 2016-08-04 14:26:02 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/3121

Comment 3 Lukas Slebodnik 2016-08-05 10:50:31 UTC
master:
* 31fdda9759a8a03081b5ab6307a5e8ce4cbe50d2
* 9b3f22f8f9c622b6b5b091d3d2ce1da4e400cfd0
* 44bfef483dd90d17f550f603055c2c853f6fe86f

Comment 5 Steeve Goveas 2016-08-17 09:07:44 UTC
Verified in version
sssd-1.14.0-18.el7.x86_64

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: bug_automation_010: BZ 1264098 cleanup_groups should sanitize dn of groups
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [  BEGIN   ] :: Running 'getent passwd tuser\(07\)-1452493@sssdad2012r2.com'
tuser(07)-1452493@sssdad2012r2.com:*:966443431:966400513:tuser(07)-1452493:/home/tuser(07)-1452493:/bin/bash
:: [   PASS   ] :: Command 'getent passwd tuser\(07\)-1452493@sssdad2012r2.com' (Expected 0, got 0)
:: [  BEGIN   ] :: Running 'getent group testgrp\(07\)-1452493@sssdad2012r2.com'
testgrp(07)-1452493@sssdad2012r2.com:*:966443432:
:: [   PASS   ] :: Command 'getent group testgrp\(07\)-1452493@sssdad2012r2.com' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/sssd/sssd_sssdad2012r2.com.log' should not contain 'Task [Cleanup of sssdad2012r2.com]: failed with [5]: Input/output error' 
'f35d2b0f-e78a-4a10-85cf-331e387afcb8'
bug-automation-010-BZ-1264098-cleanup-groups-should-sanitize-dn-of-groups result: PASS

Comment 7 errata-xmlrpc 2016-11-04 07:20:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2476.html


Note You need to log in before you can comment on or make changes to this bug.